## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTransformerOutputStream Class Reference

`#include <XalanTransformerOutputStream.hpp>`

Inheritance diagram for XalanTransformerOutputStream:

[legend]
Collaboration diagram for XalanTransformerOutputStream:

[legend]
List of all members.

## Public Methods

- XalanTransformerOutputStream (MemoryManagerType &theManager, void *theOutputHandle, XalanOutputHandlerType theOutputHandler, XalanFlushHandlerType theFlushHandler=0)
    Construct a XalanTransformerOutputStream instance for output to a user defined (callback) function. More...
- virtual ~XalanTransformerOutputStream ()

## Protected Methods

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer. More...
- virtual void doFlush ()
    Flush the stream. More...

## Constructor & Destructor Documentation

XalanTransformerOutputStream::XalanTransformerOutputStream ( | MemoryManagerType & theManager,
| void * theOutputHandle,
| XalanOutputHandlerType theOutputHandler,
| XalanFlushHandlerType theFlushHandler = 0 )

  | Construct a XalanTransformerOutputStream instance for output to a user defined (callback) function. Parameters:
  theOutputHandle | void pointer passed through to callback.
  theOutputHandler | a user defined (callback) function.
  theFlushHandler | a user defined (callback) function.

XalanTransformerOutputStream::~XalanTransformerOutputStream ( | )`[virtual]`

## Member Function Documentation

void XalanTransformerOutputStream::doFlush ( | )`[protected, virtual]`

| Flush the stream. Reimplemented from XalanOutputStream.

void XalanTransformerOutputStream::writeData ( | const char * theBuffer,
| size_type theBufferLength )`[protected, virtual]`

  | Write the data in the buffer. Parameters:
  theBuffer | The data to write
  theBufferLength | The length of theBuffer.
Reimplemented from XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanTransformerOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.